#!/bin/bash
#------------------------------------------------------------------------------
# /tmp/preinstall.sh - libaudiofile preinstallation script
#
# Creation:     2018-03-01 Marcus Roeckrath
# Last Update:  2018-03-01 Marcus Roeckrath
#
# Copyright (c) 2018 Marcus Roeckrath <marcus.roeckrath@gmx.de>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#------------------------------------------------------------------------------

package_name="libaudiofile"

# Remove libaudiofile.so link if no dev package is installed
installed_libaudiofile_dev=$(eisman check libaudiofile-dev)
installed_audiodile_dev=$(eisman check audiofile-dev)
if [ "${installed_libaudiofile_dev}" = "not-installed" ] && \
   [ "${installed_audiofile_dev}" = "not-installed" ]
then
    rm -f /usr/lib/libaudiofile.so
fi

eisman uninstall --update --auto ${package_name}

# Remove dir not deleted on deinstall of libaudiofile package 0.1.0
rm -rf /usr/share/doc/${package_name}
